/*
 * Intel ACPI Component Architecture
 * AML Disassembler version 20100528
 *
 * Disassembly of SSDT2.dat, Sat Nov 26 13:58:49 2011
 *
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x0000155B (5467)
 *     Revision         0x01
 *     Checksum         0x8D
 *     OEM ID           "NvORef"
 *     OEM Table ID     "NvOptTbl"
 *     OEM Revision     0x00001000 (4096)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x20061109 (537268489)
 */
DefinitionBlock ("SSDT2.aml", "SSDT", 1, "NvORef", "NvOptTbl", 0x00001000)
{
    External (PMDP)
    External (BRAN)
    External (NVHA, MethodObj)    // 1 Arguments
    External (SGSD, IntObj)
    External (P8XH, MethodObj)    // 2 Arguments
    External (TMSC, MethodObj)    // 0 Arguments
    External (DCMS)
    External (\_SB_.PCI0.PEG0, DeviceObj)
    External (\_SB_.PCI0.GFX0, DeviceObj)
    External (\_SB_.PCI0.GFX0.GDID)
    External (\_SB_.PCI0.PEG0.PEGP, DeviceObj)
    External (\_SB_.PCI0.PEG0.PEGP.GDID)
    External (\_SB_.PCI0.PEG0.PEGP._DSM, IntObj)

    Scope (\_SB.PCI0.GFX0)
    {
        Method (_DSM, 4, NotSerialized)
        {
            Return (\_SB.PCI0.PEG0.PEGP._DSM)
            Arg0
            Arg1
            Arg2
            Arg3
        }
    }

    Scope (\_SB.PCI0)
    {
        OperationRegion (ABC, SystemMemory, 0xF8000000, 0x1000)
        Field (ABC, DWordAcc, Lock, Preserve)
        {
                    Offset (0x54), 
                ,   3, 
            D1EN,   1
        }
    }

    Scope (\_SB.PCI0.PEG0)
    {
        OperationRegion (RPCI, SystemMemory, 0xF8008000, 0x1000)
        Field (RPCI, DWordAcc, Lock, Preserve)
        {
                    Offset (0xB0), 
            ASPM,   2, 
                ,   2, 
            LNKD,   1, 
                    Offset (0x214), 
                    Offset (0x216), 
            LNKS,   4, 
                    Offset (0x224), 
                    Offset (0x225), 
            DQDA,   1, 
                    Offset (0xC28), 
            HCLQ,   1, 
                    Offset (0xC34), 
                ,   30, 
            PEDQ,   1, 
            PIDQ,   1, 
                    Offset (0xDFC), 
            PEPO,   3, 
                    Offset (0xE08), 
                ,   31, 
            ROE0,   1, 
                    Offset (0xE28), 
                ,   31, 
            ROE1,   1, 
                    Offset (0xE48), 
                ,   31, 
            ROE2,   1, 
                    Offset (0xE68), 
                ,   31, 
            ROE3,   1, 
                    Offset (0xE88), 
                ,   31, 
            ROE4,   1, 
                    Offset (0xEA8), 
                ,   31, 
            ROE5,   1, 
                    Offset (0xEC8), 
                ,   31, 
            ROE6,   1, 
                    Offset (0xEE8), 
                ,   31, 
            ROE7,   1, 
                    Offset (0xF08), 
                ,   31, 
            ROE8,   1, 
                    Offset (0xF28), 
                ,   31, 
            ROE9,   1, 
                    Offset (0xF48), 
                ,   31, 
            ROEA,   1, 
                    Offset (0xF68), 
                ,   31, 
            ROEB,   1, 
                    Offset (0xF88), 
                ,   31, 
            ROEC,   1, 
                    Offset (0xFA8), 
                ,   31, 
            ROED,   1, 
                    Offset (0xFC8), 
                ,   31, 
            ROEE,   1, 
                    Offset (0xFE8), 
                ,   31, 
            ROEF,   1
        }

        OperationRegion (DMIB, SystemMemory, 0xFED18000, 0x1000)
        Field (DMIB, DWordAcc, Lock, Preserve)
        {
                    Offset (0xC34), 
            LLGE,   1, 
                ,   28, 
            PCGE,   1, 
                ,   1, 
            LGGE,   1
        }

        Device (VGA1)
        {
            Name (_ADR, One)
            OperationRegion (DGR0, PCI_Config, 0x40, 0x04)
            Field (DGR0, AnyAcc, NoLock, Preserve)
            {
                SSID,   32
            }
        }
    }

    Scope (\_SB.PCI0.PEG0.PEGP)
    {
        OperationRegion (PCIS, SystemMemory, 0xF8100000, 0x0500)
        Field (PCIS, ByteAcc, Lock, Preserve)
        {
            SVID,   32, 
            NCMD,   8, 
            BDAT,   2000, 
                    Offset (0x488), 
                ,   25, 
            NHDA,   1
        }

        Name (BKAL, Buffer (0xFA)
        {
            0x00
        })
        Method (NBAK, 0, NotSerialized)
        {
            Store (BDAT, BKAL)
        }

        Method (NRST, 0, NotSerialized)
        {
            Store (Zero, NCMD)
            Store (BKAL, BDAT)
            Store (0x06, NCMD)
        }

        OperationRegion (GPIO, SystemIO, 0x0500, 0x60)
        Field (GPIO, ByteAcc, Lock, Preserve)
        {
                    Offset (0x0C), 
                ,   3, 
            DGVN,   1, 
                    Offset (0x0E), 
                ,   1, 
            DGPG,   1, 
                    Offset (0x38), 
                    Offset (0x3A), 
                ,   2, 
            DGRS,   1, 
                ,   1, 
                ,   1, 
                ,   1, 
            DGPW,   1, 
                    Offset (0x48), 
                ,   3, 
            DGSP,   1
        }

        OperationRegion (DGR0, PCI_Config, 0x40, 0x04)
        Field (DGR0, AnyAcc, NoLock, Preserve)
        {
            SSID,   32
        }

        Method (_ON, 0, Serialized)
        {
            Store (One, DCMS)
            TMSC ()
            Store (One, \_SB.PCI0.D1EN)
            Store (Zero, DGRS)
            Sleep (0x64)
            Store (Zero, DGPW)
            Sleep (0x64)
            Store (One, DGVN)
            Sleep (0x64)
            While (LNotEqual (\_SB.PCI0.PEG0.PEGP.DGPG, One))
            {
                P8XH (Zero, 0x22)
                Sleep (One)
            }

            Store (Zero, DQDA)
            Store (One, DGRS)
            Sleep (0x40)
            Store (Zero, LNKD)
            Sleep (0x64)
            NRST ()
            Store (SGSD, SSID)
            Store (SGSD, \_SB.PCI0.PEG0.VGA1.SSID)
        }

        Method (_OFF, 0, Serialized)
        {
            Store (Zero, DCMS)
            TMSC ()
            Store (One, DQDA)
            NBAK ()
            Store (One, LNKD)
            Sleep (0x64)
            Store (Zero, DGRS)
            Sleep (0x64)
            Store (One, DGPW)
            Sleep (0x64)
            Store (Zero, DGVN)
            Sleep (0x64)
        }
    }

    Scope (\_SB.PCI0.PEG0.PEGP)
    {
        OperationRegion (NVHM, SystemMemory, NVHA (0x00010400), Field (NVHM, AnyAcc, NoLock, Preserve)
            {
                        Offset (0x100), 
                        Offset (0x104), 
                RVBS,   32, 
                        Offset (0x400), 
                RBF1,   262144, 
                RBF2,   262144
            })
    }

    Scope (\_SB.PCI0)
    {
        Name (OPTF, Zero)
    }

    Scope (\_SB.PCI0.PEG0.PEGP)
    {
        Method (_ROM, 2, NotSerialized)
        {
            Store (Arg0, Local0)
            Store (Arg1, Local1)
            If (LGreater (Local1, 0x1000))
            {
                Store (0x1000, Local1)
            }

            If (LGreater (Local0, 0x00010000))
            {
                Return (Buffer (Local1)
                {
                    0x00
                })
            }

            If (LGreater (Local0, RVBS))
            {
                Return (Buffer (Local1)
                {
                    0x00
                })
            }

            Multiply (Local1, 0x08, Local3)
            Name (ROM1, Buffer (0x8000)
            {
                0x00
            })
            Name (ROM2, Buffer (Local1)
            {
                0x00
            })
            If (LLess (Local0, 0x8000))
            {
                Store (RBF1, ROM1)
            }
            Else
            {
                Subtract (Local0, 0x8000, Local0)
                Store (RBF2, ROM1)
            }

            Multiply (Local0, 0x08, Local2)
            CreateField (ROM1, Local2, Local3, TMPB)
            Store (TMPB, ROM2)
            Return (ROM2)
        }
    }

    Scope (\_SB.PCI0.PEG0.PEGP)
    {
        Method (GOBT, 1, NotSerialized)
        {
            Name (OPVK, Buffer (0xE2)
            {
                /* 0000 */    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
                /* 0008 */    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
                /* 0010 */    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
                /* 0018 */    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
                /* 0020 */    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
                /* 0028 */    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
                /* 0030 */    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
                /* 0038 */    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
                /* 0040 */    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
                /* 0048 */    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
                /* 0050 */    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
                /* 0058 */    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
                /* 0060 */    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
                /* 0068 */    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
                /* 0070 */    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
                /* 0078 */    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
                /* 0080 */    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
                /* 0088 */    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
                /* 0090 */    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
                /* 0098 */    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
                /* 00A0 */    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
                /* 00A8 */    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
                /* 00B0 */    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
                /* 00B8 */    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
                /* 00C0 */    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
                /* 00C8 */    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
                /* 00D0 */    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
                /* 00D8 */    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
                /* 00E0 */    0x00, 0x00
            })
            Name (O1K0, Buffer (0xE6)
            {
                /* 0000 */    0x6D, 0x73, 0x20, 0x40, 0x3E, 0xDD, 0x59, 0x99, 
                /* 0008 */    0x4B, 0x56, 0xE6, 0x00, 0x00, 0x00, 0x01, 0x00, 
                /* 0010 */    0x31, 0x34, 0x38, 0x35, 0x39, 0x37, 0x34, 0x35, 
                /* 0018 */    0x36, 0x39, 0x38, 0x35, 0x47, 0x65, 0x6E, 0x75, 
                /* 0020 */    0x69, 0x6E, 0x65, 0x20, 0x4E, 0x56, 0x49, 0x44, 
                /* 0028 */    0x49, 0x41, 0x20, 0x43, 0x65, 0x72, 0x74, 0x69, 
                /* 0030 */    0x66, 0x69, 0x65, 0x64, 0x20, 0x4F, 0x70, 0x74, 
                /* 0038 */    0x69, 0x6D, 0x75, 0x73, 0x20, 0x52, 0x65, 0x61, 
                /* 0040 */    0x64, 0x79, 0x20, 0x4D, 0x6F, 0x74, 0x68, 0x65, 
                /* 0048 */    0x72, 0x62, 0x6F, 0x61, 0x72, 0x64, 0x20, 0x66, 
                /* 0050 */    0x6F, 0x72, 0x20, 0x6A, 0x65, 0x34, 0x30, 0x68, 
                /* 0058 */    0x72, 0x31, 0x32, 0x70, 0x67, 0x73, 0x31, 0x30, 
                /* 0060 */    0x36, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 
                /* 0068 */    0x2D, 0x20, 0x29, 0x21, 0x54, 0x52, 0x45, 0x54, 
                /* 0070 */    0x44, 0x54, 0x5C, 0x2D, 0x5E, 0x55, 0x45, 0x44, 
                /* 0078 */    0x25, 0x2B, 0x37, 0x57, 0x53, 0x2A, 0x46, 0x31, 
                /* 0080 */    0x44, 0x2C, 0x5C, 0x43, 0x5F, 0x2D, 0x48, 0x39, 
                /* 0088 */    0x27, 0x20, 0x20, 0x32, 0x2A, 0x51, 0x47, 0x52, 
                /* 0090 */    0x32, 0x24, 0x5C, 0x3A, 0x58, 0x39, 0x43, 0x2B, 
                /* 0098 */    0x21, 0x3E, 0x3B, 0x24, 0x59, 0x30, 0x20, 0x2D, 
                /* 00A0 */    0x20, 0x43, 0x6F, 0x70, 0x79, 0x72, 0x69, 0x67, 
                /* 00A8 */    0x68, 0x74, 0x20, 0x32, 0x30, 0x31, 0x30, 0x20, 
                /* 00B0 */    0x4E, 0x56, 0x49, 0x44, 0x49, 0x41, 0x20, 0x43, 
                /* 00B8 */    0x6F, 0x72, 0x70, 0x6F, 0x72, 0x61, 0x74, 0x69, 
                /* 00C0 */    0x6F, 0x6E, 0x20, 0x41, 0x6C, 0x6C, 0x20, 0x52, 
                /* 00C8 */    0x69, 0x67, 0x68, 0x74, 0x73, 0x20, 0x52, 0x65, 
                /* 00D0 */    0x73, 0x65, 0x72, 0x76, 0x65, 0x64, 0x2D, 0x31, 
                /* 00D8 */    0x34, 0x38, 0x35, 0x39, 0x37, 0x34, 0x35, 0x36, 
                /* 00E0 */    0x39, 0x38, 0x35, 0x28, 0x52, 0x29
            })
            Name (O1K1, Buffer (0xE6)
            {
                /* 0000 */    0xF3, 0xF4, 0x6F, 0x8F, 0xC0, 0x31, 0xF1, 0xCC, 
                /* 0008 */    0x4B, 0x56, 0xE6, 0x00, 0x00, 0x00, 0x01, 0x00, 
                /* 0010 */    0x31, 0x34, 0x38, 0x35, 0x39, 0x37, 0x34, 0x35, 
                /* 0018 */    0x36, 0x39, 0x38, 0x35, 0x47, 0x65, 0x6E, 0x75, 
                /* 0020 */    0x69, 0x6E, 0x65, 0x20, 0x4E, 0x56, 0x49, 0x44, 
                /* 0028 */    0x49, 0x41, 0x20, 0x43, 0x65, 0x72, 0x74, 0x69, 
                /* 0030 */    0x66, 0x69, 0x65, 0x64, 0x20, 0x4F, 0x70, 0x74, 
                /* 0038 */    0x69, 0x6D, 0x75, 0x73, 0x20, 0x52, 0x65, 0x61, 
                /* 0040 */    0x64, 0x79, 0x20, 0x4D, 0x6F, 0x74, 0x68, 0x65, 
                /* 0048 */    0x72, 0x62, 0x6F, 0x61, 0x72, 0x64, 0x20, 0x66, 
                /* 0050 */    0x6F, 0x72, 0x20, 0x6A, 0x65, 0x34, 0x30, 0x68, 
                /* 0058 */    0x72, 0x31, 0x32, 0x70, 0x67, 0x73, 0x31, 0x31, 
                /* 0060 */    0x36, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 
                /* 0068 */    0x2D, 0x20, 0x2A, 0x22, 0x55, 0x53, 0x46, 0x57, 
                /* 0070 */    0x45, 0x55, 0x5F, 0x2E, 0x5F, 0x54, 0x46, 0x47, 
                /* 0078 */    0x26, 0x28, 0x28, 0x58, 0x54, 0x2B, 0x47, 0x30, 
                /* 0080 */    0x44, 0x2D, 0x5F, 0x44, 0x5C, 0x2C, 0x49, 0x38, 
                /* 0088 */    0x28, 0x2F, 0x23, 0x33, 0x2B, 0x50, 0x48, 0x53, 
                /* 0090 */    0x33, 0x25, 0x5F, 0x3B, 0x59, 0x38, 0x44, 0x2A, 
                /* 0098 */    0x22, 0x3D, 0x3C, 0x25, 0x5A, 0x31, 0x20, 0x2D, 
                /* 00A0 */    0x20, 0x43, 0x6F, 0x70, 0x79, 0x72, 0x69, 0x67, 
                /* 00A8 */    0x68, 0x74, 0x20, 0x32, 0x30, 0x31, 0x30, 0x20, 
                /* 00B0 */    0x4E, 0x56, 0x49, 0x44, 0x49, 0x41, 0x20, 0x43, 
                /* 00B8 */    0x6F, 0x72, 0x70, 0x6F, 0x72, 0x61, 0x74, 0x69, 
                /* 00C0 */    0x6F, 0x6E, 0x20, 0x41, 0x6C, 0x6C, 0x20, 0x52, 
                /* 00C8 */    0x69, 0x67, 0x68, 0x74, 0x73, 0x20, 0x52, 0x65, 
                /* 00D0 */    0x73, 0x65, 0x72, 0x76, 0x65, 0x64, 0x2D, 0x31, 
                /* 00D8 */    0x34, 0x38, 0x35, 0x39, 0x37, 0x34, 0x35, 0x36, 
                /* 00E0 */    0x39, 0x38, 0x35, 0x28, 0x52, 0x29
            })
            Name (O1K2, Buffer (0xE6)
            {
                /* 0000 */    0xA1, 0x5C, 0x3A, 0x2C, 0x3A, 0xB1, 0xB2, 0x55, 
                /* 0008 */    0x4B, 0x56, 0xE6, 0x00, 0x00, 0x00, 0x01, 0x00, 
                /* 0010 */    0x31, 0x34, 0x38, 0x35, 0x39, 0x37, 0x34, 0x35, 
                /* 0018 */    0x36, 0x39, 0x38, 0x35, 0x47, 0x65, 0x6E, 0x75, 
                /* 0020 */    0x69, 0x6E, 0x65, 0x20, 0x4E, 0x56, 0x49, 0x44, 
                /* 0028 */    0x49, 0x41, 0x20, 0x43, 0x65, 0x72, 0x74, 0x69, 
                /* 0030 */    0x66, 0x69, 0x65, 0x64, 0x20, 0x4F, 0x70, 0x74, 
                /* 0038 */    0x69, 0x6D, 0x75, 0x73, 0x20, 0x52, 0x65, 0x61, 
                /* 0040 */    0x64, 0x79, 0x20, 0x4D, 0x6F, 0x74, 0x68, 0x65, 
                /* 0048 */    0x72, 0x62, 0x6F, 0x61, 0x72, 0x64, 0x20, 0x66, 
                /* 0050 */    0x6F, 0x72, 0x20, 0x6A, 0x65, 0x34, 0x30, 0x68, 
                /* 0058 */    0x72, 0x31, 0x32, 0x70, 0x67, 0x73, 0x31, 0x32, 
                /* 0060 */    0x36, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 
                /* 0068 */    0x2D, 0x20, 0x2B, 0x23, 0x56, 0x50, 0x47, 0x56, 
                /* 0070 */    0x46, 0x56, 0x5E, 0x2F, 0x5C, 0x57, 0x47, 0x46, 
                /* 0078 */    0x27, 0x29, 0x29, 0x59, 0x55, 0x28, 0x48, 0x33, 
                /* 0080 */    0x44, 0x2A, 0x5E, 0x45, 0x5D, 0x2F, 0x4A, 0x3B, 
                /* 0088 */    0x29, 0x2E, 0x22, 0x34, 0x34, 0x53, 0x49, 0x5C, 
                /* 0090 */    0x30, 0x26, 0x5E, 0x3C, 0x5E, 0x3B, 0x45, 0x55, 
                /* 0098 */    0x23, 0x3C, 0x3D, 0x26, 0x5B, 0x32, 0x20, 0x2D, 
                /* 00A0 */    0x20, 0x43, 0x6F, 0x70, 0x79, 0x72, 0x69, 0x67, 
                /* 00A8 */    0x68, 0x74, 0x20, 0x32, 0x30, 0x31, 0x30, 0x20, 
                /* 00B0 */    0x4E, 0x56, 0x49, 0x44, 0x49, 0x41, 0x20, 0x43, 
                /* 00B8 */    0x6F, 0x72, 0x70, 0x6F, 0x72, 0x61, 0x74, 0x69, 
                /* 00C0 */    0x6F, 0x6E, 0x20, 0x41, 0x6C, 0x6C, 0x20, 0x52, 
                /* 00C8 */    0x69, 0x67, 0x68, 0x74, 0x73, 0x20, 0x52, 0x65, 
                /* 00D0 */    0x73, 0x65, 0x72, 0x76, 0x65, 0x64, 0x2D, 0x31, 
                /* 00D8 */    0x34, 0x38, 0x35, 0x39, 0x37, 0x34, 0x35, 0x36, 
                /* 00E0 */    0x39, 0x38, 0x35, 0x28, 0x52, 0x29
            })
            Name (O1P0, Buffer (0xE6)
            {
                /* 0000 */    0xCA, 0x65, 0xB4, 0x93, 0x01, 0xE6, 0xC6, 0x18, 
                /* 0008 */    0x4B, 0x56, 0xE6, 0x00, 0x00, 0x00, 0x01, 0x00, 
                /* 0010 */    0x31, 0x34, 0x38, 0x35, 0x39, 0x37, 0x34, 0x35, 
                /* 0018 */    0x36, 0x39, 0x38, 0x35, 0x47, 0x65, 0x6E, 0x75, 
                /* 0020 */    0x69, 0x6E, 0x65, 0x20, 0x4E, 0x56, 0x49, 0x44, 
                /* 0028 */    0x49, 0x41, 0x20, 0x43, 0x65, 0x72, 0x74, 0x69, 
                /* 0030 */    0x66, 0x69, 0x65, 0x64, 0x20, 0x4F, 0x70, 0x74, 
                /* 0038 */    0x69, 0x6D, 0x75, 0x73, 0x20, 0x52, 0x65, 0x61, 
                /* 0040 */    0x64, 0x79, 0x20, 0x4D, 0x6F, 0x74, 0x68, 0x65, 
                /* 0048 */    0x72, 0x62, 0x6F, 0x61, 0x72, 0x64, 0x20, 0x66, 
                /* 0050 */    0x6F, 0x72, 0x20, 0x73, 0x6A, 0x76, 0x34, 0x30, 
                /* 0058 */    0x68, 0x72, 0x31, 0x32, 0x70, 0x67, 0x73, 0x31, 
                /* 0060 */    0x30, 0x36, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 
                /* 0068 */    0x2D, 0x20, 0x4E, 0x4B, 0x24, 0x2F, 0x5F, 0x55, 
                /* 0070 */    0x48, 0x5D, 0x4A, 0x40, 0x37, 0x48, 0x28, 0x2C, 
                /* 0078 */    0x32, 0x37, 0x3E, 0x53, 0x54, 0x54, 0x32, 0x21, 
                /* 0080 */    0x3A, 0x42, 0x3C, 0x28, 0x25, 0x32, 0x5C, 0x30, 
                /* 0088 */    0x25, 0x23, 0x28, 0x3F, 0x45, 0x2E, 0x24, 0x33, 
                /* 0090 */    0x5D, 0x4F, 0x2F, 0x30, 0x57, 0x39, 0x48, 0x5D, 
                /* 0098 */    0x50, 0x24, 0x54, 0x42, 0x3D, 0x48, 0x20, 0x2D, 
                /* 00A0 */    0x20, 0x43, 0x6F, 0x70, 0x79, 0x72, 0x69, 0x67, 
                /* 00A8 */    0x68, 0x74, 0x20, 0x32, 0x30, 0x31, 0x30, 0x20, 
                /* 00B0 */    0x4E, 0x56, 0x49, 0x44, 0x49, 0x41, 0x20, 0x43, 
                /* 00B8 */    0x6F, 0x72, 0x70, 0x6F, 0x72, 0x61, 0x74, 0x69, 
                /* 00C0 */    0x6F, 0x6E, 0x20, 0x41, 0x6C, 0x6C, 0x20, 0x52, 
                /* 00C8 */    0x69, 0x67, 0x68, 0x74, 0x73, 0x20, 0x52, 0x65, 
                /* 00D0 */    0x73, 0x65, 0x72, 0x76, 0x65, 0x64, 0x2D, 0x31, 
                /* 00D8 */    0x34, 0x38, 0x35, 0x39, 0x37, 0x34, 0x35, 0x36, 
                /* 00E0 */    0x39, 0x38, 0x35, 0x28, 0x52, 0x29
            })
            Name (O1P1, Buffer (0xE6)
            {
                /* 0000 */    0x04, 0xBD, 0x35, 0x7A, 0xD3, 0x4D, 0x1D, 0x1E, 
                /* 0008 */    0x4B, 0x56, 0xE6, 0x00, 0x00, 0x00, 0x01, 0x00, 
                /* 0010 */    0x31, 0x34, 0x38, 0x35, 0x39, 0x37, 0x34, 0x35, 
                /* 0018 */    0x36, 0x39, 0x38, 0x35, 0x47, 0x65, 0x6E, 0x75, 
                /* 0020 */    0x69, 0x6E, 0x65, 0x20, 0x4E, 0x56, 0x49, 0x44, 
                /* 0028 */    0x49, 0x41, 0x20, 0x43, 0x65, 0x72, 0x74, 0x69, 
                /* 0030 */    0x66, 0x69, 0x65, 0x64, 0x20, 0x4F, 0x70, 0x74, 
                /* 0038 */    0x69, 0x6D, 0x75, 0x73, 0x20, 0x52, 0x65, 0x61, 
                /* 0040 */    0x64, 0x79, 0x20, 0x4D, 0x6F, 0x74, 0x68, 0x65, 
                /* 0048 */    0x72, 0x62, 0x6F, 0x61, 0x72, 0x64, 0x20, 0x66, 
                /* 0050 */    0x6F, 0x72, 0x20, 0x73, 0x6A, 0x76, 0x34, 0x30, 
                /* 0058 */    0x68, 0x72, 0x31, 0x32, 0x70, 0x67, 0x73, 0x31, 
                /* 0060 */    0x31, 0x36, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 
                /* 0068 */    0x2D, 0x20, 0x4F, 0x4C, 0x25, 0x2C, 0x40, 0x54, 
                /* 0070 */    0x49, 0x5E, 0x4D, 0x41, 0x34, 0x4B, 0x29, 0x2F, 
                /* 0078 */    0x33, 0x28, 0x3F, 0x54, 0x55, 0x55, 0x33, 0x20, 
                /* 0080 */    0x3A, 0x43, 0x3F, 0x29, 0x2A, 0x3D, 0x5D, 0x33, 
                /* 0088 */    0x26, 0x22, 0x2B, 0x20, 0x46, 0x29, 0x25, 0x3C, 
                /* 0090 */    0x5A, 0x48, 0x2E, 0x31, 0x54, 0x38, 0x49, 0x5C, 
                /* 0098 */    0x51, 0x27, 0x55, 0x43, 0x3E, 0x49, 0x20, 0x2D, 
                /* 00A0 */    0x20, 0x43, 0x6F, 0x70, 0x79, 0x72, 0x69, 0x67, 
                /* 00A8 */    0x68, 0x74, 0x20, 0x32, 0x30, 0x31, 0x30, 0x20, 
                /* 00B0 */    0x4E, 0x56, 0x49, 0x44, 0x49, 0x41, 0x20, 0x43, 
                /* 00B8 */    0x6F, 0x72, 0x70, 0x6F, 0x72, 0x61, 0x74, 0x69, 
                /* 00C0 */    0x6F, 0x6E, 0x20, 0x41, 0x6C, 0x6C, 0x20, 0x52, 
                /* 00C8 */    0x69, 0x67, 0x68, 0x74, 0x73, 0x20, 0x52, 0x65, 
                /* 00D0 */    0x73, 0x65, 0x72, 0x76, 0x65, 0x64, 0x2D, 0x31, 
                /* 00D8 */    0x34, 0x38, 0x35, 0x39, 0x37, 0x34, 0x35, 0x36, 
                /* 00E0 */    0x39, 0x38, 0x35, 0x28, 0x52, 0x29
            })
            Name (O1P2, Buffer (0xE6)
            {
                /* 0000 */    0xC3, 0xF1, 0xE3, 0x6C, 0x1B, 0x59, 0x3C, 0xA8, 
                /* 0008 */    0x4B, 0x56, 0xE6, 0x00, 0x00, 0x00, 0x01, 0x00, 
                /* 0010 */    0x31, 0x34, 0x38, 0x35, 0x39, 0x37, 0x34, 0x35, 
                /* 0018 */    0x36, 0x39, 0x38, 0x35, 0x47, 0x65, 0x6E, 0x75, 
                /* 0020 */    0x69, 0x6E, 0x65, 0x20, 0x4E, 0x56, 0x49, 0x44, 
                /* 0028 */    0x49, 0x41, 0x20, 0x43, 0x65, 0x72, 0x74, 0x69, 
                /* 0030 */    0x66, 0x69, 0x65, 0x64, 0x20, 0x4F, 0x70, 0x74, 
                /* 0038 */    0x69, 0x6D, 0x75, 0x73, 0x20, 0x52, 0x65, 0x61, 
                /* 0040 */    0x64, 0x79, 0x20, 0x4D, 0x6F, 0x74, 0x68, 0x65, 
                /* 0048 */    0x72, 0x62, 0x6F, 0x61, 0x72, 0x64, 0x20, 0x66, 
                /* 0050 */    0x6F, 0x72, 0x20, 0x73, 0x6A, 0x76, 0x34, 0x30, 
                /* 0058 */    0x68, 0x72, 0x31, 0x32, 0x70, 0x67, 0x73, 0x31, 
                /* 0060 */    0x32, 0x36, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 
                /* 0068 */    0x2D, 0x20, 0x40, 0x4D, 0x26, 0x2D, 0x41, 0x57, 
                /* 0070 */    0x4A, 0x5F, 0x4C, 0x42, 0x35, 0x35, 0x2A, 0x2E, 
                /* 0078 */    0x34, 0x29, 0x30, 0x55, 0x56, 0x52, 0x34, 0x23, 
                /* 0080 */    0x3E, 0x40, 0x3E, 0x2A, 0x2B, 0x3C, 0x5E, 0x32, 
                /* 0088 */    0x27, 0x25, 0x2A, 0x21, 0x47, 0x28, 0x26, 0x3D, 
                /* 0090 */    0x5B, 0x49, 0x51, 0x32, 0x55, 0x3B, 0x4A, 0x5F, 
                /* 0098 */    0x52, 0x26, 0x56, 0x44, 0x3F, 0x4A, 0x20, 0x2D, 
                /* 00A0 */    0x20, 0x43, 0x6F, 0x70, 0x79, 0x72, 0x69, 0x67, 
                /* 00A8 */    0x68, 0x74, 0x20, 0x32, 0x30, 0x31, 0x30, 0x20, 
                /* 00B0 */    0x4E, 0x56, 0x49, 0x44, 0x49, 0x41, 0x20, 0x43, 
                /* 00B8 */    0x6F, 0x72, 0x70, 0x6F, 0x72, 0x61, 0x74, 0x69, 
                /* 00C0 */    0x6F, 0x6E, 0x20, 0x41, 0x6C, 0x6C, 0x20, 0x52, 
                /* 00C8 */    0x69, 0x67, 0x68, 0x74, 0x73, 0x20, 0x52, 0x65, 
                /* 00D0 */    0x73, 0x65, 0x72, 0x76, 0x65, 0x64, 0x2D, 0x31, 
                /* 00D8 */    0x34, 0x38, 0x35, 0x39, 0x37, 0x34, 0x35, 0x36, 
                /* 00E0 */    0x39, 0x38, 0x35, 0x28, 0x52, 0x29
            })
            Name (O1E0, Buffer (0xE6)
            {
                /* 0000 */    0x96, 0xB7, 0xEA, 0x1E, 0x51, 0x3F, 0xC4, 0xC9, 
                /* 0008 */    0x4B, 0x56, 0xE6, 0x00, 0x00, 0x00, 0x01, 0x00, 
                /* 0010 */    0x31, 0x34, 0x38, 0x35, 0x39, 0x37, 0x34, 0x35, 
                /* 0018 */    0x36, 0x39, 0x38, 0x35, 0x47, 0x65, 0x6E, 0x75, 
                /* 0020 */    0x69, 0x6E, 0x65, 0x20, 0x4E, 0x56, 0x49, 0x44, 
                /* 0028 */    0x49, 0x41, 0x20, 0x43, 0x65, 0x72, 0x74, 0x69, 
                /* 0030 */    0x66, 0x69, 0x65, 0x64, 0x20, 0x4F, 0x70, 0x74, 
                /* 0038 */    0x69, 0x6D, 0x75, 0x73, 0x20, 0x52, 0x65, 0x61, 
                /* 0040 */    0x64, 0x79, 0x20, 0x4D, 0x6F, 0x74, 0x68, 0x65, 
                /* 0048 */    0x72, 0x62, 0x6F, 0x61, 0x72, 0x64, 0x20, 0x66, 
                /* 0050 */    0x6F, 0x72, 0x20, 0x68, 0x6D, 0x34, 0x30, 0x5F, 
                /* 0058 */    0x68, 0x72, 0x2D, 0x6E, 0x31, 0x32, 0x70, 0x2D, 
                /* 0060 */    0x67, 0x73, 0x2D, 0x31, 0x30, 0x36, 0x20, 0x20, 
                /* 0068 */    0x2D, 0x20, 0x36, 0x28, 0x45, 0x36, 0x2B, 0x24, 
                /* 0070 */    0x5E, 0x50, 0x4A, 0x45, 0x3D, 0x38, 0x5C, 0x47, 
                /* 0078 */    0x50, 0x40, 0x56, 0x21, 0x27, 0x2C, 0x4E, 0x23, 
                /* 0080 */    0x21, 0x37, 0x2F, 0x5E, 0x5C, 0x56, 0x3E, 0x5E, 
                /* 0088 */    0x31, 0x38, 0x3E, 0x3A, 0x45, 0x35, 0x2E, 0x43, 
                /* 0090 */    0x29, 0x21, 0x4D, 0x53, 0x3C, 0x4C, 0x5B, 0x55, 
                /* 0098 */    0x2D, 0x2C, 0x5B, 0x4E, 0x2E, 0x3F, 0x20, 0x2D, 
                /* 00A0 */    0x20, 0x43, 0x6F, 0x70, 0x79, 0x72, 0x69, 0x67, 
                /* 00A8 */    0x68, 0x74, 0x20, 0x32, 0x30, 0x31, 0x30, 0x20, 
                /* 00B0 */    0x4E, 0x56, 0x49, 0x44, 0x49, 0x41, 0x20, 0x43, 
                /* 00B8 */    0x6F, 0x72, 0x70, 0x6F, 0x72, 0x61, 0x74, 0x69, 
                /* 00C0 */    0x6F, 0x6E, 0x20, 0x41, 0x6C, 0x6C, 0x20, 0x52, 
                /* 00C8 */    0x69, 0x67, 0x68, 0x74, 0x73, 0x20, 0x52, 0x65, 
                /* 00D0 */    0x73, 0x65, 0x72, 0x76, 0x65, 0x64, 0x2D, 0x31, 
                /* 00D8 */    0x34, 0x38, 0x35, 0x39, 0x37, 0x34, 0x35, 0x36, 
                /* 00E0 */    0x39, 0x38, 0x35, 0x28, 0x52, 0x29
            })
            Name (O1E1, Buffer (0xE6)
            {
                /* 0000 */    0xC0, 0x56, 0xE2, 0x34, 0x95, 0xD0, 0x4F, 0xD3, 
                /* 0008 */    0x4B, 0x56, 0xE6, 0x00, 0x00, 0x00, 0x01, 0x00, 
                /* 0010 */    0x31, 0x34, 0x38, 0x35, 0x39, 0x37, 0x34, 0x35, 
                /* 0018 */    0x36, 0x39, 0x38, 0x35, 0x47, 0x65, 0x6E, 0x75, 
                /* 0020 */    0x69, 0x6E, 0x65, 0x20, 0x4E, 0x56, 0x49, 0x44, 
                /* 0028 */    0x49, 0x41, 0x20, 0x43, 0x65, 0x72, 0x74, 0x69, 
                /* 0030 */    0x66, 0x69, 0x65, 0x64, 0x20, 0x4F, 0x70, 0x74, 
                /* 0038 */    0x69, 0x6D, 0x75, 0x73, 0x20, 0x52, 0x65, 0x61, 
                /* 0040 */    0x64, 0x79, 0x20, 0x4D, 0x6F, 0x74, 0x68, 0x65, 
                /* 0048 */    0x72, 0x62, 0x6F, 0x61, 0x72, 0x64, 0x20, 0x66, 
                /* 0050 */    0x6F, 0x72, 0x20, 0x68, 0x6D, 0x34, 0x30, 0x2D, 
                /* 0058 */    0x68, 0x72, 0x2D, 0x6E, 0x31, 0x32, 0x70, 0x2D, 
                /* 0060 */    0x67, 0x73, 0x2D, 0x31, 0x31, 0x36, 0x20, 0x20, 
                /* 0068 */    0x2D, 0x20, 0x24, 0x53, 0x3E, 0x33, 0x2D, 0x25, 
                /* 0070 */    0x5A, 0x29, 0x40, 0x58, 0x4C, 0x4C, 0x26, 0x2C, 
                /* 0078 */    0x34, 0x21, 0x34, 0x5B, 0x4E, 0x58, 0x20, 0x51, 
                /* 0080 */    0x2D, 0x3F, 0x52, 0x40, 0x43, 0x56, 0x3B, 0x50, 
                /* 0088 */    0x47, 0x4D, 0x31, 0x47, 0x2F, 0x5D, 0x33, 0x2C, 
                /* 0090 */    0x48, 0x44, 0x24, 0x48, 0x52, 0x3C, 0x47, 0x5C, 
                /* 0098 */    0x53, 0x51, 0x5B, 0x4B, 0x28, 0x45, 0x20, 0x2D, 
                /* 00A0 */    0x20, 0x43, 0x6F, 0x70, 0x79, 0x72, 0x69, 0x67, 
                /* 00A8 */    0x68, 0x74, 0x20, 0x32, 0x30, 0x31, 0x30, 0x20, 
                /* 00B0 */    0x4E, 0x56, 0x49, 0x44, 0x49, 0x41, 0x20, 0x43, 
                /* 00B8 */    0x6F, 0x72, 0x70, 0x6F, 0x72, 0x61, 0x74, 0x69, 
                /* 00C0 */    0x6F, 0x6E, 0x20, 0x41, 0x6C, 0x6C, 0x20, 0x52, 
                /* 00C8 */    0x69, 0x67, 0x68, 0x74, 0x73, 0x20, 0x52, 0x65, 
                /* 00D0 */    0x73, 0x65, 0x72, 0x76, 0x65, 0x64, 0x2D, 0x31, 
                /* 00D8 */    0x34, 0x38, 0x35, 0x39, 0x37, 0x34, 0x35, 0x36, 
                /* 00E0 */    0x39, 0x38, 0x35, 0x28, 0x52, 0x29
            })
            Name (O1E2, Buffer (0xE6)
            {
                /* 0000 */    0x0C, 0xEC, 0xD3, 0xE2, 0x0E, 0xE1, 0x80, 0xA7, 
                /* 0008 */    0x4B, 0x56, 0xE6, 0x00, 0x00, 0x00, 0x01, 0x00, 
                /* 0010 */    0x31, 0x34, 0x38, 0x35, 0x39, 0x37, 0x34, 0x35, 
                /* 0018 */    0x36, 0x39, 0x38, 0x35, 0x47, 0x65, 0x6E, 0x75, 
                /* 0020 */    0x69, 0x6E, 0x65, 0x20, 0x4E, 0x56, 0x49, 0x44, 
                /* 0028 */    0x49, 0x41, 0x20, 0x43, 0x65, 0x72, 0x74, 0x69, 
                /* 0030 */    0x66, 0x69, 0x65, 0x64, 0x20, 0x4F, 0x70, 0x74, 
                /* 0038 */    0x69, 0x6D, 0x75, 0x73, 0x20, 0x52, 0x65, 0x61, 
                /* 0040 */    0x64, 0x79, 0x20, 0x4D, 0x6F, 0x74, 0x68, 0x65, 
                /* 0048 */    0x72, 0x62, 0x6F, 0x61, 0x72, 0x64, 0x20, 0x66, 
                /* 0050 */    0x6F, 0x72, 0x20, 0x68, 0x6D, 0x34, 0x30, 0x2D, 
                /* 0058 */    0x68, 0x72, 0x2D, 0x6E, 0x31, 0x32, 0x70, 0x2D, 
                /* 0060 */    0x67, 0x73, 0x2D, 0x31, 0x32, 0x36, 0x20, 0x20, 
                /* 0068 */    0x2D, 0x20, 0x25, 0x54, 0x3F, 0x30, 0x2E, 0x24, 
                /* 0070 */    0x5B, 0x2A, 0x43, 0x59, 0x32, 0x4F, 0x27, 0x2F, 
                /* 0078 */    0x35, 0x26, 0x35, 0x5C, 0x4F, 0x59, 0x21, 0x50, 
                /* 0080 */    0x2F, 0x3C, 0x55, 0x41, 0x40, 0x51, 0x3C, 0x53, 
                /* 0088 */    0x48, 0x33, 0x30, 0x48, 0x28, 0x5C, 0x34, 0x2D, 
                /* 0090 */    0x49, 0x45, 0x27, 0x49, 0x53, 0x3F, 0x48, 0x5F, 
                /* 0098 */    0x54, 0x50, 0x5C, 0x4C, 0x29, 0x46, 0x20, 0x2D, 
                /* 00A0 */    0x20, 0x43, 0x6F, 0x70, 0x79, 0x72, 0x69, 0x67, 
                /* 00A8 */    0x68, 0x74, 0x20, 0x32, 0x30, 0x31, 0x30, 0x20, 
                /* 00B0 */    0x4E, 0x56, 0x49, 0x44, 0x49, 0x41, 0x20, 0x43, 
                /* 00B8 */    0x6F, 0x72, 0x70, 0x6F, 0x72, 0x61, 0x74, 0x69, 
                /* 00C0 */    0x6F, 0x6E, 0x20, 0x41, 0x6C, 0x6C, 0x20, 0x52, 
                /* 00C8 */    0x69, 0x67, 0x68, 0x74, 0x73, 0x20, 0x52, 0x65, 
                /* 00D0 */    0x73, 0x65, 0x72, 0x76, 0x65, 0x64, 0x2D, 0x31, 
                /* 00D8 */    0x34, 0x38, 0x35, 0x39, 0x37, 0x34, 0x35, 0x36, 
                /* 00E0 */    0x39, 0x38, 0x35, 0x28, 0x52, 0x29
            })
            Name (O1F0, Buffer (0xE6)
            {
                /* 0000 */    0x6D, 0x73, 0x20, 0x40, 0x3E, 0xDD, 0x59, 0x99, 
                /* 0008 */    0x4B, 0x56, 0xE6, 0x00, 0x00, 0x00, 0x01, 0x00, 
                /* 0010 */    0x31, 0x34, 0x38, 0x35, 0x39, 0x37, 0x34, 0x35, 
                /* 0018 */    0x36, 0x39, 0x38, 0x35, 0x47, 0x65, 0x6E, 0x75, 
                /* 0020 */    0x69, 0x6E, 0x65, 0x20, 0x4E, 0x56, 0x49, 0x44, 
                /* 0028 */    0x49, 0x41, 0x20, 0x43, 0x65, 0x72, 0x74, 0x69, 
                /* 0030 */    0x66, 0x69, 0x65, 0x64, 0x20, 0x4F, 0x70, 0x74, 
                /* 0038 */    0x69, 0x6D, 0x75, 0x73, 0x20, 0x52, 0x65, 0x61, 
                /* 0040 */    0x64, 0x79, 0x20, 0x4D, 0x6F, 0x74, 0x68, 0x65, 
                /* 0048 */    0x72, 0x62, 0x6F, 0x61, 0x72, 0x64, 0x20, 0x66, 
                /* 0050 */    0x6F, 0x72, 0x20, 0x6A, 0x65, 0x34, 0x30, 0x68, 
                /* 0058 */    0x72, 0x31, 0x32, 0x70, 0x67, 0x73, 0x31, 0x30, 
                /* 0060 */    0x36, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 
                /* 0068 */    0x2D, 0x20, 0x29, 0x21, 0x54, 0x52, 0x45, 0x54, 
                /* 0070 */    0x44, 0x54, 0x5C, 0x2D, 0x5E, 0x55, 0x45, 0x44, 
                /* 0078 */    0x25, 0x2B, 0x37, 0x57, 0x53, 0x2A, 0x46, 0x31, 
                /* 0080 */    0x44, 0x2C, 0x5C, 0x43, 0x5F, 0x2D, 0x48, 0x39, 
                /* 0088 */    0x27, 0x20, 0x20, 0x32, 0x2A, 0x51, 0x47, 0x52, 
                /* 0090 */    0x32, 0x24, 0x5C, 0x3A, 0x58, 0x39, 0x43, 0x2B, 
                /* 0098 */    0x21, 0x3E, 0x3B, 0x24, 0x59, 0x30, 0x20, 0x2D, 
                /* 00A0 */    0x20, 0x43, 0x6F, 0x70, 0x79, 0x72, 0x69, 0x67, 
                /* 00A8 */    0x68, 0x74, 0x20, 0x32, 0x30, 0x31, 0x30, 0x20, 
                /* 00B0 */    0x4E, 0x56, 0x49, 0x44, 0x49, 0x41, 0x20, 0x43, 
                /* 00B8 */    0x6F, 0x72, 0x70, 0x6F, 0x72, 0x61, 0x74, 0x69, 
                /* 00C0 */    0x6F, 0x6E, 0x20, 0x41, 0x6C, 0x6C, 0x20, 0x52, 
                /* 00C8 */    0x69, 0x67, 0x68, 0x74, 0x73, 0x20, 0x52, 0x65, 
                /* 00D0 */    0x73, 0x65, 0x72, 0x76, 0x65, 0x64, 0x2D, 0x31, 
                /* 00D8 */    0x34, 0x38, 0x35, 0x39, 0x37, 0x34, 0x35, 0x36, 
                /* 00E0 */    0x39, 0x38, 0x35, 0x28, 0x52, 0x29
            })
            Name (O1F1, Buffer (0xE6)
            {
                /* 0000 */    0xF3, 0xF4, 0x6F, 0x8F, 0xC0, 0x31, 0xF1, 0xCC, 
                /* 0008 */    0x4B, 0x56, 0xE6, 0x00, 0x00, 0x00, 0x01, 0x00, 
                /* 0010 */    0x31, 0x34, 0x38, 0x35, 0x39, 0x37, 0x34, 0x35, 
                /* 0018 */    0x36, 0x39, 0x38, 0x35, 0x47, 0x65, 0x6E, 0x75, 
                /* 0020 */    0x69, 0x6E, 0x65, 0x20, 0x4E, 0x56, 0x49, 0x44, 
                /* 0028 */    0x49, 0x41, 0x20, 0x43, 0x65, 0x72, 0x74, 0x69, 
                /* 0030 */    0x66, 0x69, 0x65, 0x64, 0x20, 0x4F, 0x70, 0x74, 
                /* 0038 */    0x69, 0x6D, 0x75, 0x73, 0x20, 0x52, 0x65, 0x61, 
                /* 0040 */    0x64, 0x79, 0x20, 0x4D, 0x6F, 0x74, 0x68, 0x65, 
                /* 0048 */    0x72, 0x62, 0x6F, 0x61, 0x72, 0x64, 0x20, 0x66, 
                /* 0050 */    0x6F, 0x72, 0x20, 0x6A, 0x65, 0x34, 0x30, 0x68, 
                /* 0058 */    0x72, 0x31, 0x32, 0x70, 0x67, 0x73, 0x31, 0x31, 
                /* 0060 */    0x36, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 
                /* 0068 */    0x2D, 0x20, 0x2A, 0x22, 0x55, 0x53, 0x46, 0x57, 
                /* 0070 */    0x45, 0x55, 0x5F, 0x2E, 0x5F, 0x54, 0x46, 0x47, 
                /* 0078 */    0x26, 0x28, 0x28, 0x58, 0x54, 0x2B, 0x47, 0x30, 
                /* 0080 */    0x44, 0x2D, 0x5F, 0x44, 0x5C, 0x2C, 0x49, 0x38, 
                /* 0088 */    0x28, 0x2F, 0x23, 0x33, 0x2B, 0x50, 0x48, 0x53, 
                /* 0090 */    0x33, 0x25, 0x5F, 0x3B, 0x59, 0x38, 0x44, 0x2A, 
                /* 0098 */    0x22, 0x3D, 0x3C, 0x25, 0x5A, 0x31, 0x20, 0x2D, 
                /* 00A0 */    0x20, 0x43, 0x6F, 0x70, 0x79, 0x72, 0x69, 0x67, 
                /* 00A8 */    0x68, 0x74, 0x20, 0x32, 0x30, 0x31, 0x30, 0x20, 
                /* 00B0 */    0x4E, 0x56, 0x49, 0x44, 0x49, 0x41, 0x20, 0x43, 
                /* 00B8 */    0x6F, 0x72, 0x70, 0x6F, 0x72, 0x61, 0x74, 0x69, 
                /* 00C0 */    0x6F, 0x6E, 0x20, 0x41, 0x6C, 0x6C, 0x20, 0x52, 
                /* 00C8 */    0x69, 0x67, 0x68, 0x74, 0x73, 0x20, 0x52, 0x65, 
                /* 00D0 */    0x73, 0x65, 0x72, 0x76, 0x65, 0x64, 0x2D, 0x31, 
                /* 00D8 */    0x34, 0x38, 0x35, 0x39, 0x37, 0x34, 0x35, 0x36, 
                /* 00E0 */    0x39, 0x38, 0x35, 0x28, 0x52, 0x29
            })
            Name (O1F2, Buffer (0xE6)
            {
                /* 0000 */    0xA1, 0x5C, 0x3A, 0x2C, 0x3A, 0xB1, 0xB2, 0x55, 
                /* 0008 */    0x4B, 0x56, 0xE6, 0x00, 0x00, 0x00, 0x01, 0x00, 
                /* 0010 */    0x31, 0x34, 0x38, 0x35, 0x39, 0x37, 0x34, 0x35, 
                /* 0018 */    0x36, 0x39, 0x38, 0x35, 0x47, 0x65, 0x6E, 0x75, 
                /* 0020 */    0x69, 0x6E, 0x65, 0x20, 0x4E, 0x56, 0x49, 0x44, 
                /* 0028 */    0x49, 0x41, 0x20, 0x43, 0x65, 0x72, 0x74, 0x69, 
                /* 0030 */    0x66, 0x69, 0x65, 0x64, 0x20, 0x4F, 0x70, 0x74, 
                /* 0038 */    0x69, 0x6D, 0x75, 0x73, 0x20, 0x52, 0x65, 0x61, 
                /* 0040 */    0x64, 0x79, 0x20, 0x4D, 0x6F, 0x74, 0x68, 0x65, 
                /* 0048 */    0x72, 0x62, 0x6F, 0x61, 0x72, 0x64, 0x20, 0x66, 
                /* 0050 */    0x6F, 0x72, 0x20, 0x6A, 0x65, 0x34, 0x30, 0x68, 
                /* 0058 */    0x72, 0x31, 0x32, 0x70, 0x67, 0x73, 0x31, 0x32, 
                /* 0060 */    0x36, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 
                /* 0068 */    0x2D, 0x20, 0x2B, 0x23, 0x56, 0x50, 0x47, 0x56, 
                /* 0070 */    0x46, 0x56, 0x5E, 0x2F, 0x5C, 0x57, 0x47, 0x46, 
                /* 0078 */    0x27, 0x29, 0x29, 0x59, 0x55, 0x28, 0x48, 0x33, 
                /* 0080 */    0x44, 0x2A, 0x5E, 0x45, 0x5D, 0x2F, 0x4A, 0x3B, 
                /* 0088 */    0x29, 0x2E, 0x22, 0x34, 0x34, 0x53, 0x49, 0x5C, 
                /* 0090 */    0x30, 0x26, 0x5E, 0x3C, 0x5E, 0x3B, 0x45, 0x55, 
                /* 0098 */    0x23, 0x3C, 0x3D, 0x26, 0x5B, 0x32, 0x20, 0x2D, 
                /* 00A0 */    0x20, 0x43, 0x6F, 0x70, 0x79, 0x72, 0x69, 0x67, 
                /* 00A8 */    0x68, 0x74, 0x20, 0x32, 0x30, 0x31, 0x30, 0x20, 
                /* 00B0 */    0x4E, 0x56, 0x49, 0x44, 0x49, 0x41, 0x20, 0x43, 
                /* 00B8 */    0x6F, 0x72, 0x70, 0x6F, 0x72, 0x61, 0x74, 0x69, 
                /* 00C0 */    0x6F, 0x6E, 0x20, 0x41, 0x6C, 0x6C, 0x20, 0x52, 
                /* 00C8 */    0x69, 0x67, 0x68, 0x74, 0x73, 0x20, 0x52, 0x65, 
                /* 00D0 */    0x73, 0x65, 0x72, 0x76, 0x65, 0x64, 0x2D, 0x31, 
                /* 00D8 */    0x34, 0x38, 0x35, 0x39, 0x37, 0x34, 0x35, 0x36, 
                /* 00E0 */    0x39, 0x38, 0x35, 0x28, 0x52, 0x29
            })
            CreateWordField (Arg0, 0x02, USRG)
            If (LEqual (USRG, 0x564B))
            {
                If (LEqual (\_SB.PCI0.PEG0.PEGP.GDID, 0x0DF4))
                {
                    If (LOr (LEqual (BRAN, 0x02), LEqual (BRAN, 0x03)))
                    {
                        If (LEqual (\_SB.PCI0.GFX0.GDID, 0x0106))
                        {
                            Return (O1P0)
                        }

                        If (LEqual (\_SB.PCI0.GFX0.GDID, 0x0116))
                        {
                            Return (O1P1)
                        }

                        If (LEqual (\_SB.PCI0.GFX0.GDID, 0x0126))
                        {
                            Return (O1P2)
                        }
                    }

                    If (LEqual (BRAN, 0x04))
                    {
                        If (LEqual (\_SB.PCI0.GFX0.GDID, 0x0106))
                        {
                            Return (O1E0)
                        }

                        If (LEqual (\_SB.PCI0.GFX0.GDID, 0x0116))
                        {
                            Return (O1E1)
                        }

                        If (LEqual (\_SB.PCI0.GFX0.GDID, 0x0126))
                        {
                            Return (O1E2)
                        }
                    }

                    If (LEqual (BRAN, 0x05))
                    {
                        If (LEqual (\_SB.PCI0.GFX0.GDID, 0x0106))
                        {
                            Return (O1F0)
                        }

                        If (LEqual (\_SB.PCI0.GFX0.GDID, 0x0116))
                        {
                            Return (O1F1)
                        }

                        If (LEqual (\_SB.PCI0.GFX0.GDID, 0x0126))
                        {
                            Return (O1F2)
                        }
                    }

                    If (LEqual (\_SB.PCI0.GFX0.GDID, 0x0106))
                    {
                        Return (O1K0)
                    }

                    If (LEqual (\_SB.PCI0.GFX0.GDID, 0x0116))
                    {
                        Return (O1K1)
                    }

                    If (LEqual (\_SB.PCI0.GFX0.GDID, 0x0126))
                    {
                        Return (O1K2)
                    }
                }

                Return (OPVK)
            }

            Return (Zero)
        }
    }

    Scope (\_SB.PCI0.PEG0.PEGP)
    {
        Name (OMPR, 0x02)
        Name (DSDV, Zero)
        Method (NVOP, 4, NotSerialized)
        {
            Name (_T_0, Zero)
            Store ("------- NV OPTIMUS DSM --------", Debug)
            If (LNotEqual (Arg1, 0x0100))
            {
                Return (0x80000001)
            }

            Store (ToInteger (Arg2), _T_0)
            If (LEqual (_T_0, Zero))
            {
                Store (Buffer (0x04)
                    {
                        0x00, 0x00, 0x00, 0x00
                    }, Local0)
                Divide (Zero, 0x08, Local2, Local1)
                ShiftLeft (One, Local2, Local2)
                Or (DerefOf (Index (Local0, Local1)), Local2, Index (Local0, Local1
                    ))
                Divide (0x1A, 0x08, Local2, Local1)
                ShiftLeft (One, Local2, Local2)
                Or (DerefOf (Index (Local0, Local1)), Local2, Index (Local0, Local1
                    ))
                Divide (0x10, 0x08, Local2, Local1)
                ShiftLeft (One, Local2, Local2)
                Or (DerefOf (Index (Local0, Local1)), Local2, Index (Local0, Local1
                    ))
                Return (Local0)
            }
            Else
            {
                If (LEqual (_T_0, 0x1A))
                {
                    CreateField (Arg3, 0x18, 0x02, OPCE)
                    CreateField (Arg3, Zero, One, FLCH)
                    If (ToInteger (FLCH))
                    {
                        Store (OPCE, OMPR)
                    }

                    Store (Buffer (0x04)
                        {
                            0x00, 0x00, 0x00, 0x00
                        }, Local0)
                    CreateField (Local0, Zero, One, OPEN)
                    CreateField (Local0, 0x03, 0x02, CGCS)
                    CreateField (Local0, 0x06, One, SHPC)
                    CreateField (Local0, 0x18, 0x03, DGPC)
                    CreateField (Local0, 0x1B, 0x02, HDAC)
                    Store (One, OPEN)
                    Store (One, HDAC)
                    Store (One, DGPC)
                    If (\_SB.PCI0.PEG0.PEGP._STA ())
                    {
                        Store (0x03, CGCS)
                    }

                    Return (Local0)
                }
                Else
                {
                    If (LEqual (_T_0, 0x10))
                    {
                        Return (\_SB.PCI0.PEG0.PEGP.GOBT (Arg3))
                    }
                }
            }

            Return (0x80000002)
        }
    }

    Scope (\_SB.PCI0.PEG0.PEGP)
    {
        Name (DGOS, Zero)
        OperationRegion (PCNV, PCI_Config, 0x0488, 0x04)
        Field (PCNV, AnyAcc, NoLock, Preserve)
        {
                ,   25, 
            MLTF,   1
        }

        Method (_PS0, 0, NotSerialized)
        {
            If (DGOS)
            {
                \_SB.PCI0.PEG0.PEGP._ON ()
                Store (Zero, DGOS)
                If (LEqual (PMDP, 0x04))
                {
                    Store (Zero, MLTF)
                }
            }
        }

        Method (_PS3, 0, NotSerialized)
        {
            If (LEqual (\_SB.PCI0.PEG0.PEGP.OMPR, 0x03))
            {
                \_SB.PCI0.PEG0.PEGP._OFF ()
                Store (One, DGOS)
                Store (0x02, \_SB.PCI0.PEG0.PEGP.OMPR)
            }
        }

        Method (_STA, 0, NotSerialized)
        {
            Return (0x0F)
        }
    }

    Scope (\)
    {
        Method (CMPB, 2, NotSerialized)
        {
            Store (SizeOf (Arg0), Local1)
            If (LNotEqual (Local1, SizeOf (Arg1)))
            {
                Return (Zero)
            }

            Store (Zero, Local0)
            While (LLess (Local0, Local1))
            {
                If (LNotEqual (DerefOf (Index (Arg0, Local0)), DerefOf (Index (
                    Arg1, Local0))))
                {
                    Return (Zero)
                }

                Increment (Local0)
            }

            Return (One)
        }
    }
}

